jQuery(document).ready(function() {
    function checkinify() {
         jQuery.getJSON("http://at.hackerspace.pl/api", function(data) {
          var users = parseInt(data.users.length) || 0;
          var tooltip = jQuery('#status-tooltip');
          var text = 'According to <a href="http://at.hackerspace.pl">our instruments</a> there ';
          if (users == 1)
              text += 'is at least one person';
          else if(users == 0)
              text += 'is probably no one';
          else
              text += 'are at least ' + users + ' people';
          text += ' at the hackerspace right now.';

          jQuery("#status-tooltip p").html(text);
          if(users > 0) {
              jQuery("#status img").attr("src", "https://static.hackerspace.pl/img/status-open-small.png");
              tooltip.removeClass('status-tooltip-closed');
              tooltip.addClass('status-tooltip-open');
          }
          else {
              jQuery("#status img").attr("src", "https://static.hackerspace.pl/img/status-closed-small.png");
              tooltip.removeClass('status-tooltip-open');
              tooltip.addClass('status-tooltip-closed');
          }

          jQuery("#status").css('display', 'inline-block');
          jQuery("#status-tooltip").css('display', 'inline-block');
          
      });
    }
    setInterval(checkinify, 1e3 * 300);
    checkinify();
});
